﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 694C: (1 yr) VER IEEE /9500/3200+4Hd
DATE:                  2017-02-22 14:38:07
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       220
CONFIGURATION:         Datron 9500 (C5,G3)
CONFIGURATION:         Datron 9530 on channel 1
CONFIGURATION:         Datron 9530 on channel 2
CONFIGURATION:         Datron 9530 on channel 3
CONFIGURATION:         Datron 9530 on channel 4
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
#
#  Source:
#        TDS 500D, TDS 600C, TDS 700D & TDS 714L Digitizing Oscilloscopes
#        Service Manual, Part No. 071-0627-02
#
#  Additional Equipment Required:
#         See "Sub Tek TDS500D/600C/700D VER Required Equipment"
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         3GH                          1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         3GH                          1Vpp           LS    S  L
  1.006  M9500                       CH3
  1.007  9500         3GH                          1Vpp           LS    S  L
  1.008  M9500                       CH4
  1.009  9500         3GH                          1Vpp           LS    S  L
  1.010  ENDIF

  1.011  ASK-   R   Q N              P                            F        V
# ASK+ K is required for measurement uncertainty.
  1.012  ASK+           K

  1.013  IF           NOT(VERSIONCHECK("7.3"))
  1.014  END
  1.015  ENDIF

  1.016  CALL         Sub Display Copyright
  1.017  CALL         Sub High Voltage Safety Warning
  1.018  CALL         Sub Select Failed Test Mode
  1.019  CALL         Sub Select Verification Method

  1.020  DISP         Ensure a minimum UUT warm-up time of at least
  1.020  DISP         20 minutes has been allowed to elapse, prior
  1.020  DISP         to beginning verification.

  1.021  HEAD         UUT IDENTIFICATION
  1.022  TARGET
  1.023  CALL         Sub TDS500/600/700 Setup IEEE
  1.024  IEEE2        *RST;DESE 61
  1.025  MATH         @UUT_Model = "TDS 694C"
  1.026  MATH         @UUT_Manufacturer = "TEKTRONIX"
  1.027  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.028  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.029  JMPL         END                          @Abort

  1.030  CALL         Sub Tek TDS500D/600C/700D VER Required Equipment

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.031  CALL         Sub TDS600C Specifications
  1.032  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.033  JMPL         END                          @Abort
  1.034  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.035  JMPL         END                          @Abort

# Set the variable of the calibrator channel number for hookup setup.
  1.036  MATH         @SourceChanNum = 4

# Specify channel to test.
  1.037  MATH         @Chan = 1
  1.038  CALL         Sub TDS600C (1 yr) DC Offset IEEE
  1.039  MATH         @Chan = 2
  1.040  CALL         Sub TDS600C (1 yr) DC Offset IEEE
  1.041  MATH         @Chan = 3
  1.042  CALL         Sub TDS600C (1 yr) DC Offset IEEE
  1.043  MATH         @Chan = 4
  1.044  CALL         Sub TDS600C (1 yr) DC Offset IEEE

  1.045  MATH         @Chan = 1
  1.046  M9500                       CH1
  1.047  CALL         Sub TDS694C (1 yr) DCV Meas Acc IEEE /9500
  1.048  MATH         @Chan = 2
  1.049  M9500                       CH2
  1.050  CALL         Sub TDS694C (1 yr) DCV Meas Acc IEEE /9500
  1.051  MATH         @Chan = 3
  1.052  M9500                       CH3
  1.053  CALL         Sub TDS694C (1 yr) DCV Meas Acc IEEE /9500
  1.054  MATH         @Chan = 4
  1.055  M9500                       CH4
  1.056  CALL         Sub TDS694C (1 yr) DCV Meas Acc IEEE /9500

  1.057  MATH         @Chan = 1
  1.058  M9500                       CH1
  1.059  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /9500/3200
  1.060  MATH         @Chan = 2
  1.061  M9500                       CH2
  1.062  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /9500/3200
  1.063  MATH         @Chan = 3
  1.064  M9500                       CH3
  1.065  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /9500/3200
  1.066  MATH         @Chan = 4
  1.067  M9500                       CH4
  1.068  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /9500/3200
  1.069  JMPL         TIMEBASE_TRIGGER

  1.070  LABEL        DELAY_MATCH
  1.071  MATH         @Chan = 1
  1.072  M9500                       CH1
  1.073  CALL         Sub TDS600C (1 yr) Delay Match IEEE /9500
  1.074  JMPL         OUTPUT_SIGNAL

  1.075  LABEL        TIMEBASE_TRIGGER
  1.076  MATH         @Chan = 1
  1.077  M9500                       CH1
  1.078  CALL         Sub TDS600C (1 yr) Time Base IEEE /9500
  1.079  JMPL         TRIG_TIME_ACC

  1.080  LABEL        DELTA_TIME
  1.081  MATH         @Chan = 1
  1.082  M9500                       CH1
  1.083  CALL         Sub TDS654C/694C (1 yr) Delta Time IEEE /9500
  1.084  MATH         @Chan = 2
  1.085  M9500                       CH1
  1.086  CALL         Sub TDS654C/694C (1 yr) Delta Time IEEE /9500
  1.087  MATH         @Chan = 3
  1.088  M9500                       CH1
  1.089  CALL         Sub TDS654C/694C (1 yr) Delta Time IEEE /9500
  1.090  MATH         @Chan = 4
  1.091  M9500                       CH1
  1.092  CALL         Sub TDS654C/694C (1 yr) Delta Time IEEE /9500
  1.093  JMPL         END

  1.094  LABEL        TRIG_TIME_ACC
  1.095  CALL         Sub TDS600C (1 yr) Trig Time Acc IEEE /9500

  1.096  MATH         @Chan = 1
  1.097  M9500                       CH1
  1.098  CALL         Sub TDS600C (1 yr) Sens IEEE /9500/3200
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.099  OPBR         -z Each channel trig sensitivity test will take about
  1.099  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.099  OPBR         channels to save time, unless desired.
  1.099  OPBR
  1.099  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.099  OPBR         3, and 4?
  1.100  MATH         @TestCh234Sens = MEM1
  1.101  JMPL         MAIN_TRIG_SENS_CH2

  1.102  LABEL        AUX_TRIG_IN
  1.103  MATH         @Chan = 1
  1.104  M9500                       CH14
  1.105  CALL         Sub TDS600C (1 yr) Aux Trig In Sens IEEE /9500+2Hd
  1.106  JMPL         DELAY_MATCH

  1.107  LABEL        MAIN_TRIG_SENS_CH2

  1.108  IF           @TestCh234Sens
  1.109  MATH         Time = 3 * @OptChSensTime
  1.110  DISP         The next routine operator intervention occurs
  1.110  DISP         in approximately [V Time] minutes...
  1.111  MATH         @Chan = 2
  1.112  M9500                       CH2
  1.113  CALL         Sub TDS600C (1 yr) Sens IEEE /9500/3200
  1.114  MATH         @Chan = 3
  1.115  M9500                       CH3
  1.116  CALL         Sub TDS600C (1 yr) Sens IEEE /9500/3200
  1.117  MATH         @Chan = 4
  1.118  M9500                       CH4
  1.119  CALL         Sub TDS600C (1 yr) Sens IEEE /9500/3200
  1.120  ENDIF

  1.121  JMPL         AUX_TRIG_IN

  1.122  LABEL        OUTPUT_SIGNAL
  1.123  M9500                       CH1
  1.124  CALL         Sub TDS694C (1 yr) Output Signal IEEE /9500
  1.125  M9500                       CH1
  1.126  CALL         Sub TDS600C (1 yr) Probe Comp IEEE /9500
  1.127  JMPL         DELTA_TIME

  1.128  LABEL        END
  1.129  IEEE2        *RST;DESE 61

  1.130  IF           @Abort
  1.131  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.132  ENDIF

  1.133  END
